#!/bin/sh

# create chroot:
#
# $ sudo debootstrap --variant=minbase sid debian-sid-minbase
# $ echo -ne "deb http://ftp.debian.org/debian sid main\ndeb-src http://ftp.debian.org/debian sid main\n" | sudo tee debian-sid-minbase/etc/apt/sources.list
# $ sudo chroot debian-sid-minbase dpkg --add-architecture armel
# $ sudo chroot debian-sid-minbase apt-get update
#
# run deb-buildcheck
#
# $ deb-buildcheck.native -v --failures --successes --deb-native-arch=amd64 \
# > --deb-foreign-archs=armel,linux-any --host=armel --dump=out \
# > Sid-amd64-armel-Packages Sid-Sources.bz2 | python parse_yaml.py \
# > | tail -n +11 | sort > result_dose.list
#
# feed ./check-deps-apt.sh with the packages checked by deb-buildcheck
#
# $ cut -d ' ' -f 1 < result_dose.list | sudo ./check-deps-apt.sh debian-sid-minbase | tee result_apt.list
#
# compare results
#
# $ diff result_apt.list result_dose.list

if [ "$#" -ne 1 ]; then
	echo "usage: $0 chroot_directory"
	exit 1
fi

if [ ! -d "$1" ]; then
	echo "$1 is not a directory"
	exit 1
fi

while read p; do
	chroot "$1" apt-get --only-source --simulate -aarmel build-dep $p > /dev/null 2>&1
	if [ $? = 0 ]; then
		printf "%-23s OK\n" $p
	else
		printf "%-23s FAIL\n" $p
	fi
done

